--Resources

INSERT INTO IconTextureAtlases 
	(Atlas, 					IconSize, 	Filename, 				IconsPerRow, 	IconsPerColumn)
VALUES	
	('AG_RESOURCES_ATLAS',		256, 		'AGResources256.dds',	8, 				8),
	('AG_RESOURCES_ATLAS',		80, 		'AGResources080.dds',	8, 				8),
	('AG_RESOURCES_ATLAS',		64, 		'AGResources064.dds',	8, 				8),
	('AG_RESOURCES_ATLAS',		45, 		'AGResources045.dds',	8, 				8);

--==========================================================================================================================
-- IconFontTextures
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconFontTextures 
	(IconFontTexture, 					IconFontTextureFile)
VALUES	
	('ICON_FONT_TEXTURE_CARS', 			'CarFontIcon_22'),
	('ICON_FONT_TEXTURE_ELECTRONICS', 	'ElectronicsFontIcon_22'),
	('ICON_FONT_TEXTURE_FURNITURE', 	'FurnitureFontIcon_22'),
	('ICON_FONT_TEXTURE_TELEVISION', 	'TelevisionFontIcon_22'),
	('ICON_FONT_TEXTURE_FASTFOOD', 		'FastfoodFontIcon_22'),
	('ICON_FONT_TEXTURE_SOFTDRINK', 	'SoftdrinkFontIcon_22'),
	('ICON_FONT_TEXTURE_LIQUOR', 		'LiquorFontIcon_22'),
	('ICON_FONT_TEXTURE_AMMUNITION', 	'AmmunitionFontIcon_22'),
	('ICON_FONT_TEXTURE_ENERGY', 		'EnergyFontIcon_22'),
	('ICON_FONT_TEXTURE_EXPLOSIVES', 	'ExplosivesFontIcon_22'),
	('ICON_FONT_TEXTURE_FUEL', 			'FuelFontIcon_22'),
	('ICON_FONT_TEXTURE_STEEL', 		'SteelFontIcon_22'),
	('ICON_FONT_TEXTURE_NANOCORE', 		'NanoFontIcon_22'),
	('ICON_FONT_TEXTURE_PRISMDISC', 	'PrismFontIcon_22'),
	('ICON_FONT_TEXTURE_TESLACOMP', 	'TeslaFontIcon_22'),
	('ICON_FONT_TEXTURE_SLAVE', 		'SlaveFontIcon_22');

INSERT INTO IconFontMapping 
	(IconName, 					IconFontTexture,					IconMapping)
VALUES	
	('ICON_RES_CARS',			'ICON_FONT_TEXTURE_CARS',			0),
	('ICON_RES_ELECTRONICS',	'ICON_FONT_TEXTURE_ELECTRONICS',	0),
	('ICON_RES_FURNITURE',		'ICON_FONT_TEXTURE_FURNITURE',		0),
	('ICON_RES_TELEVISION',		'ICON_FONT_TEXTURE_TELEVISION',		0),
	('ICON_RES_FASTFOOD',		'ICON_FONT_TEXTURE_FASTFOOD',		0),
	('ICON_RES_SOFTDRINK',		'ICON_FONT_TEXTURE_SOFTDRINK',		0),
	('ICON_RES_LIQUOR',			'ICON_FONT_TEXTURE_LIQUOR',			0),
	('ICON_RES_ENERGY',			'ICON_FONT_TEXTURE_ENERGY',			0),
	('ICON_RES_STEEL',			'ICON_FONT_TEXTURE_STEEL',			0),
	('ICON_RES_AMMUNITION',		'ICON_FONT_TEXTURE_AMMUNITION',		0),
	('ICON_RES_FUEL',			'ICON_FONT_TEXTURE_FUEL',			0),
	('ICON_RES_EXPLOSIVES',		'ICON_FONT_TEXTURE_EXPLOSIVES',		0),
	('ICON_RES_NANOCORE',		'ICON_FONT_TEXTURE_NANOCORE',		0),
	('ICON_RES_PRISMDISC',		'ICON_FONT_TEXTURE_PRISMDISC',		0),
	('ICON_RES_TESLACOMP',		'ICON_FONT_TEXTURE_TESLACOMP',		0),
	('ICON_RES_SLAVE',			'ICON_FONT_TEXTURE_SLAVE',			0);

--Units
INSERT INTO IconTextureAtlases 
	(Atlas, 										IconSize, 		Filename, 									IconsPerRow, 	IconsPerColumn)
VALUES		
	('NAVALUNIT_ATLAS', 							256, 			'NavalUnits256.dds',						8, 				8),
	('NAVALUNIT_ATLAS', 							128, 			'NavalUnits128.dds',						8, 				8),
	('NAVALUNIT_ATLAS', 							80, 			'NavalUnits080.dds',						8, 				8),
	('NAVALUNIT_ATLAS', 							64, 			'NavalUnits064.dds',						8, 				8),
	('NAVALUNIT_ATLAS', 							45, 			'NavalUnits045.dds',						8, 				8),
	('LANDUNIT_ATLAS', 								256, 			'LandUnits256.dds',							8, 				8),
	('LANDUNIT_ATLAS', 								128, 			'LandUnits128.dds',							8, 				8),
	('LANDUNIT_ATLAS', 								80, 			'LandUnits080.dds',							8, 				8),
	('LANDUNIT_ATLAS', 								64, 			'LandUnits064.dds',							8, 				8),
	('LANDUNIT_ATLAS', 								45, 			'LandUnits045.dds',							8, 				8),
	('AIRUNIT_ATLAS', 								256, 			'AirUnits256.dds',							8, 				8),
	('AIRUNIT_ATLAS', 								128, 			'AirdUnits128.dds',							8, 				8),
	('AIRUNIT_ATLAS', 								80, 			'AirUnits080.dds',							8, 				8),
	('AIRUNIT_ATLAS', 								64, 			'AirUnits064.dds',							8, 				8),
	('AIRUNIT_ATLAS', 								45, 			'AirUnits045.dds',							8, 				8),
	('AGBUILDING_ATLAS', 							256, 			'Buildings256.dds',							8, 				8),
	('AGBUILDING_ATLAS', 							128, 			'Buildings128.dds',							8, 				8),
	('AGBUILDING_ATLAS', 							80, 			'Buildings080.dds',							8, 				8),
	('AGBUILDING_ATLAS', 							64, 			'Buildings064.dds',							8, 				8),
	('AGBUILDING_ATLAS', 							45, 			'Buildings045.dds',							8, 				8),
	('AGBUILDINGB_ATLAS', 							256, 			'BuildingsB256.dds',						8, 				8),
	('AGBUILDINGB_ATLAS', 							128, 			'BuildingsB128.dds',						8, 				8),
	('AGBUILDINGB_ATLAS', 							80, 			'BuildingsB080.dds',						8, 				8),
	('AGBUILDINGB_ATLAS', 							64, 			'BuildingsB064.dds',						8, 				8),
	('AGBUILDINGB_ATLAS', 							45, 			'BuildingsB045.dds',						8, 				8),
	('AGBUILDINGC_ATLAS', 							256, 			'BuildingsC256.dds',						8, 				8),
	('AGBUILDINGC_ATLAS', 							128, 			'BuildingsC128.dds',						8, 				8),
	('AGBUILDINGC_ATLAS', 							80, 			'BuildingsC080.dds',						8, 				8),
	('AGBUILDINGC_ATLAS', 							64, 			'BuildingsC064.dds',						8, 				8),
	('AGBUILDINGC_ATLAS', 							45, 			'BuildingsC045.dds',						8, 				8),
	('AGTECH_ATLAS', 								256, 			'Tech256.dds',								8, 				8),
	('AGTECH_ATLAS', 								214, 			'Tech214.dds',								8, 				8),
	('AGTECH_ATLAS', 								128, 			'Tech128.dds',								8, 				8),
	('AGTECH_ATLAS', 								80, 			'Tech080.dds',								8, 				8),
	('AGTECH_ATLAS', 								64, 			'Tech064.dds',								8, 				8),
	('AGTECH_ATLAS', 								45, 			'Tech045.dds',								8, 				8);

--More Wonders
INSERT INTO IconTextureAtlases	
	(Atlas,								IconSize,	Filename,								IconsPerRow,	IconsPerColumn) 
VALUES		
	('PROMOTION_MORE_WONDERS_ATLAS',	256,		'PromotionMoreWondersIcons_256.dds',	'8',			'2'),
	('PROMOTION_MORE_WONDERS_ATLAS',	64,			'PromotionMoreWondersIcons_64.dds',		'8',			'2'),
	('PROMOTION_MORE_WONDERS_ATLAS',	45,			'PromotionMoreWondersIcons_45.dds',		'8',			'2'),
	('PROMOTION_MORE_WONDERS_ATLAS',	32,			'PromotionMoreWondersIcons_32.dds',		'8',			'2'),
	('PROMOTION_MORE_WONDERS_ATLAS',	16,			'PromotionMoreWondersIcons_16.dds',		'8',			'2');








