-- Move Oil to Petroleum
UPDATE Resources SET TechReveal = 'TECH_MA_PETRO' WHERE Type = 'RESOURCE_OIL';
UPDATE Resources SET TechCityTrade = 'TECH_MA_PETRO' WHERE Type = 'RESOURCE_OIL';

INSERT INTO Resources
	(Type)
VALUES
	('RESOURCE_FUEL');

UPDATE Resources SET
	ResourceClassType = 'RESOURCECLASS_MODERN',
	PlacementOrder = 2,
	ConstAppearance = 100,
	RandApp1 = 10,
	RandApp2 = 10,
	MinAreaSize = 3,
	MaxLatitude = 90,
	Player = 75,
	ResourceUsage = 1
WHERE Type IN('RESOURCE_FUEL'); 

--- Fuel
UPDATE Resources SET
	Description = 'TXT_KEY_RESOURCE_FUEL',
	Civilopedia = 'TXT_KEY_CIV5_RESOURCE_FUEL_TEXT',
	Help = 'TXT_KEY_RESOURCE_FUEL_HELP',
	ArtDefineTag = 'ART_DEF_RESOURCE_WHALE',
	IconString = '[ICON_RES_FUEL]',
	PortraitIndex = 2,
	IconAtlas = 'AG_RESOURCES_ATLAS',
	TechReveal = 'TECH_MA_PETRO',
	TechCityTrade = 'TECH_MA_PETRO'
WHERE Type = 'RESOURCE_FUEL';









