INSERT INTO BuildingClasses 	
	(Type,								DefaultBuilding,			Description)
VALUES
	('BUILDINGCLASS_FUEL_REFINERY',		'BUILDING_FUEL_REFINERY',	'TXT_KEY_BUILDING_FUEL_REFINERY'),
	('BUILDINGCLASS_MSTEAM_PLANT',		'BUILDING_MSTEAM_PLANT',	'TXT_KEY_BUILDING_MSTEAM_PLANT'),
	('BUILDINGCLASS_COAL_MINES',		'BUILDING_COAL_MINES',		'TXT_KEY_BUILDING_COAL_MINES'),
	('BUILDINGCLASS_DCOAL_MINES',		'BUILDING_DCOAL_MINES',		'TXT_KEY_BUILDING_DCOAL_MINES'),
	('BUILDINGCLASS_THEMEPARK',			'BUILDING_THEMEPARK',		'TXT_KEY_BUILDING_THEMEPARK'),
	('BUILDINGCLASS_CINEMA',			'BUILDING_CINEMA',			'TXT_KEY_BUILDING_CINEMA'),
	('BUILDINGCLASS_SEWERSYSTEM',		'BUILDING_SEWERSYSTEM',		'TXT_KEY_BUILDING_SEWERSYSTEM'),
	('BUILDINGCLASS_WATERTREAT',		'BUILDING_WATERTREAT',		'TXT_KEY_BUILDING_WATERTREAT'),
	('BUILDINGCLASS_FIREDEPART',		'BUILDING_FIREDEPART',		'TXT_KEY_BUILDING_FIREDEPART'),
	('BUILDINGCLASS_CORFACILITY',		'BUILDING_CORFACILITY',		'TXT_KEY_BUILDING_CORFACILITY'),
	('BUILDINGCLASS_NEWSPAPER',			'BUILDING_NEWSPAPER',		'TXT_KEY_BUILDING_NEWSPAPER'),
	('BUILDINGCLASS_ADCOMPANY',			'BUILDING_ADCOMPANY',		'TXT_KEY_BUILDING_ADCOMPANY'),
	('BUILDINGCLASS_RADIOFAC',			'BUILDING_RADIOFAC',		'TXT_KEY_BUILDING_RADIOFAC'),
	('BUILDINGCLASS_CONSERVATORY',		'BUILDING_CONSERVATORY',	'TXT_KEY_BUILDING_CONSERVATORY'),
	('BUILDINGCLASS_ARTEXHIBIT',		'BUILDING_ARTEXHIBIT',		'TXT_KEY_BUILDING_ARTEXHIBIT'),
	('BUILDINGCLASS_ARTGALLERY',		'BUILDING_ARTGALLERY',		'TXT_KEY_BUILDING_ARTGALLERY'),
	('BUILDINGCLASS_EPOWERST',			'BUILDING_EPOWERST',		'TXT_KEY_BUILDING_EPOWERST'),
	('BUILDINGCLASS_FISHERY',			'BUILDING_FISHERY',			'TXT_KEY_BUILDING_FISHERY'),
	('BUILDINGCLASS_DEPARTSTORE',		'BUILDING_DEPARTSTORE',		'TXT_KEY_BUILDING_DEPARTSTORE'),
	('BUILDINGCLASS_TRAINTERM',			'BUILDING_TRAINTERM',		'TXT_KEY_BUILDING_TRAINTERM'),
	('BUILDINGCLASS_FILLINGST',			'BUILDING_FILLINGST',		'TXT_KEY_BUILDING_FILLINGST'),
	('BUILDINGCLASS_ICHEMPLANT',		'BUILDING_ICHEMPLANT',		'TXT_KEY_BUILDING_ICHEMPLANT'),
	('BUILDINGCLASS_IFERTPLANT',		'BUILDING_IFERTPLANT',		'TXT_KEY_BUILDING_IFERTPLANT'),
	('BUILDINGCLASS_ICEMENTFAC',		'BUILDING_ICEMENTFAC',		'TXT_KEY_BUILDING_ICEMENTFAC'),
	('BUILDINGCLASS_CIVWEAP_I',			'BUILDING_CIVWEAP_I',		'TXT_KEY_BUILDING_CIVWEAP_I'),
	('BUILDINGCLASS_CIVWEAP_II',		'BUILDING_CIVWEAP_II',		'TXT_KEY_BUILDING_CIVWEAP_II'),
	('BUILDINGCLASS_CIVWEAP_III',		'BUILDING_CIVWEAP_III',		'TXT_KEY_BUILDING_CIVWEAP_III'),
	('BUILDINGCLASS_EMUNITION',			'BUILDING_EMUNITION',		'TXT_KEY_BUILDING_EMUNITION');	

INSERT INTO Building_BuildingClassLocalYieldChanges
	(BuildingType,				BuildingClassType,				YieldType,					YieldChange)
VALUES
	('BUILDING_CINEMA',			'BUILDINGCLASS_THEMEPARK',		'YIELD_GOLD',				2),
	('BUILDING_WATERTREAT',		'BUILDINGCLASS_SEWERSYSTEM',	'YIELD_FOOD',				3),
	('BUILDING_TRAINTERM',		'BUILDINGCLASS_TRAINSTATION',	'YIELD_GOLD',				4),
	('BUILDING_ICHEMPLANT',		'BUILDINGCLASS_LABORATORY',		'YIELD_SCIENCE',			4),
	('BUILDING_FILLINGST',		'BUILDINGCLASS_FUEL_REFINERY',	'YIELD_GOLD',				4);

INSERT INTO Buildings 	
	(Type,						BuildingClass,						Description,						Civilopedia,							Strategy,									Help,									Cost,			PrereqTech,				GoldMaintenance,	FaithCost,	NukeImmune, ConquestProb,	ArtDefineTag,					MinAreaSize,  HurryCostModifier,	IconAtlas,			PortraitIndex)
VALUES
	('BUILDING_MSTEAM_PLANT',	'BUILDINGCLASS_MSTEAM_PLANT',		'TXT_KEY_BUILDING_MSTEAM_PLANT',	'TXT_KEY_BUILDING_MSTEAM_PLANT_PEDIA',	'TXT_KEY_BUILDING_MSTEAM_PLANT_STRATEGY',	'TXT_KEY_BUILDING_MSTEAM_PLANT_HELP',	1600,		'TECH_MA_ELEC',				4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		2),
	('BUILDING_COAL_MINES',		'BUILDINGCLASS_COAL_MINES',			'TXT_KEY_BUILDING_COAL_MINES',		'TXT_KEY_BUILDING_COAL_MINES_PEDIA',	'TXT_KEY_BUILDING_COAL_MINES_STRATEGY',		'TXT_KEY_BUILDING_COAL_MINES_HELP',		600,		'TECH_MA_RAIL',				0,					-1,         0,          66,            'COLESSEUM',						-1,           25,					'AGBUILDING_ATLAS',		3),
	('BUILDING_DCOAL_MINES',	'BUILDINGCLASS_DCOAL_MINES',		'TXT_KEY_BUILDING_DCOAL_MINES',		'TXT_KEY_BUILDING_DCOAL_MINES_PEDIA',	'TXT_KEY_BUILDING_DCOAL_MINES_STRATEGY',	'TXT_KEY_BUILDING_DCOAL_MINES_HELP',	900,		'TECH_MA_RAIL',				0,					-1,         0,          66,            'COLESSEUM',						-1,           25,					'AGBUILDING_ATLAS',		4),
	('BUILDING_FUEL_REFINERY',	'BUILDINGCLASS_FUEL_REFINERY',		'TXT_KEY_BUILDING_FUEL_REFINERY',	'TXT_KEY_BUILDING_FUEL_REFINERY_PEDIA',	'TXT_KEY_BUILDING_FUEL_REFINERY_STRATEGY',	'TXT_KEY_BUILDING_FUEL_REFINERY_HELP',	1600,		'TECH_MA_PETRO',			6,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		20),
	('BUILDING_THEMEPARK',		'BUILDINGCLASS_THEMEPARK',			'TXT_KEY_BUILDING_THEMEPARK',		'TXT_KEY_BUILDING_THEMEPARK_PEDIA',		'TXT_KEY_BUILDING_THEMEPARK_STRATEGY',		'TXT_KEY_BUILDING_THEMEPARK_HELP',		1450,		'TECH_MA_MOTION',			0,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		39),
	('BUILDING_CINEMA',			'BUILDINGCLASS_CINEMA',				'TXT_KEY_BUILDING_CINEMA',			'TXT_KEY_BUILDING_CINEMA_PEDIA',		'TXT_KEY_BUILDING_CINEMA_STRATEGY',			'TXT_KEY_BUILDING_CINEMA_HELP',			1450,		'TECH_MA_MOTION',			4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		40),
	('BUILDING_SEWERSYSTEM',	'BUILDINGCLASS_SEWERSYSTEM',		'TXT_KEY_BUILDING_SEWERSYSTEM',		'TXT_KEY_BUILDING_SEWERSYSTEM_PEDIA',	'TXT_KEY_BUILDING_SEWERSYSTEM_STRATEGY',	'TXT_KEY_BUILDING_SEWERSYSTEM_HELP',	1450,		'TECH_MA_EPWORK',			5,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		41),
	('BUILDING_WATERTREAT',		'BUILDINGCLASS_WATERTREAT',			'TXT_KEY_BUILDING_WATERTREAT',		'TXT_KEY_BUILDING_WATERTREAT_PEDIA',	'TXT_KEY_BUILDING_WATERTREAT_STRATEGY',		'TXT_KEY_BUILDING_WATERTREAT_HELP',		1450,		'TECH_MA_EPWORK',			5,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		42),
	('BUILDING_FIREDEPART',		'BUILDINGCLASS_FIREDEPART',			'TXT_KEY_BUILDING_FIREDEPART',		'TXT_KEY_BUILDING_FIREDEPART_PEDIA',	'TXT_KEY_BUILDING_FIREDEPART_STRATEGY',		'TXT_KEY_BUILDING_FIREDEPART_HELP',		1450,		'TECH_MA_EPWORK',			5,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		43),
	('BUILDING_CORFACILITY',	'BUILDINGCLASS_CORFACILITY',		'TXT_KEY_BUILDING_CORFACILITY',		'TXT_KEY_BUILDING_CORFACILITY_PEDIA',	'TXT_KEY_BUILDING_CORFACILITY_STRATEGY',	'TXT_KEY_BUILDING_CORFACILITY_HELP',	1450,		'TECH_MA_EPWORK',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		44),
	('BUILDING_NEWSPAPER',		'BUILDINGCLASS_NEWSPAPER',			'TXT_KEY_BUILDING_NEWSPAPER',		'TXT_KEY_BUILDING_NEWSPAPER_PEDIA',		'TXT_KEY_BUILDING_NEWSPAPER_STRATEGY',		'TXT_KEY_BUILDING_NEWSPAPER_HELP',		1450,		'TECH_MA_PROPA',			0,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		45),
	('BUILDING_ADCOMPANY',		'BUILDINGCLASS_ADCOMPANY',			'TXT_KEY_BUILDING_ADCOMPANY',		'TXT_KEY_BUILDING_ADCOMPANY_PEDIA',		'TXT_KEY_BUILDING_ADCOMPANY_STRATEGY',		'TXT_KEY_BUILDING_ADCOMPANY_HELP',		1450,		'TECH_MA_PROPA',			0,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		46),
	('BUILDING_RADIOFAC',		'BUILDINGCLASS_RADIOFAC',			'TXT_KEY_BUILDING_RADIOFAC',		'TXT_KEY_BUILDING_RADIOFAC_PEDIA',		'TXT_KEY_BUILDING_RADIOFAC_STRATEGY',		'TXT_KEY_BUILDING_RADIOFAC_HELP',		1450,		'TECH_MA_PROPA',			6,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		47),
	('BUILDING_CONSERVATORY',	'BUILDINGCLASS_CONSERVATORY',		'TXT_KEY_BUILDING_CONSERVATORY',	'TXT_KEY_BUILDING_CONSERVATORY_PEDIA',	'TXT_KEY_BUILDING_CONSERVATORY_STRATEGY',	'TXT_KEY_BUILDING_CONSERVATORY_HELP',	1600,		'TECH_MA_MODART',			4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		48),
	('BUILDING_ARTEXHIBIT',		'BUILDINGCLASS_ARTEXHIBIT',			'TXT_KEY_BUILDING_ARTEXHIBIT',		'TXT_KEY_BUILDING_ARTEXHIBIT_PEDIA',	'TXT_KEY_BUILDING_ARTEXHIBIT_STRATEGY',		'TXT_KEY_BUILDING_ARTEXHIBIT_HELP',		1600,		'TECH_MA_MODART',			4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		49),
	('BUILDING_ARTGALLERY',		'BUILDINGCLASS_ARTGALLERY',			'TXT_KEY_BUILDING_ARTGALLERY',		'TXT_KEY_BUILDING_ARTGALLERY_PEDIA',	'TXT_KEY_BUILDING_ARTGALLERY_STRATEGY',		'TXT_KEY_BUILDING_ARTGALLERY_HELP',		1600,		'TECH_MA_MODART',			5,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		50),
	('BUILDING_EPOWERST',		'BUILDINGCLASS_EPOWERST',			'TXT_KEY_BUILDING_EPOWERST',		'TXT_KEY_BUILDING_EPOWERST_PEDIA',		'TXT_KEY_BUILDING_EPOWERST_STRATEGY',		'TXT_KEY_BUILDING_EPOWERST_HELP',		1600,		'TECH_MA_ELEC',				4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		51),
	('BUILDING_FISHERY',		'BUILDINGCLASS_FISHERY',			'TXT_KEY_BUILDING_FISHERY',			'TXT_KEY_BUILDING_FISHERY_PEDIA',		'TXT_KEY_BUILDING_FISHERY_STRATEGY',		'TXT_KEY_BUILDING_FISHERY_HELP',		1600,		'TECH_MA_MASSM',			4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		52),
	('BUILDING_DEPARTSTORE',	'BUILDINGCLASS_DEPARTSTORE',		'TXT_KEY_BUILDING_DEPARTSTORE',		'TXT_KEY_BUILDING_DEPARTSTORE_PEDIA',	'TXT_KEY_BUILDING_DEPARTSTORE_STRATEGY',	'TXT_KEY_BUILDING_DEPARTSTORE_HELP',	1600,		'TECH_MA_MASSM',			12,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		53),
	('BUILDING_TRAINTERM',		'BUILDINGCLASS_TRAINTERM',			'TXT_KEY_BUILDING_TRAINTERM',		'TXT_KEY_BUILDING_TRAINTERM_PEDIA',		'TXT_KEY_BUILDING_TRAINTERM_STRATEGY',		'TXT_KEY_BUILDING_TRAINTERM_HELP',		1600,		'TECH_MA_RAIL',				6,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		55),
	('BUILDING_FILLINGST',		'BUILDINGCLASS_FILLINGST',			'TXT_KEY_BUILDING_FILLINGST',		'TXT_KEY_BUILDING_FILLINGST_PEDIA',		'TXT_KEY_BUILDING_FILLINGST_STRATEGY',		'TXT_KEY_BUILDING_FILLINGST_HELP',		1600,		'TECH_MA_PETRO',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		56),
	('BUILDING_ICHEMPLANT',		'BUILDINGCLASS_ICHEMPLANT',			'TXT_KEY_BUILDING_ICHEMPLANT',		'TXT_KEY_BUILDING_ICHEMPLANT_PEDIA',	'TXT_KEY_BUILDING_ICHEMPLANT_STRATEGY',		'TXT_KEY_BUILDING_ICHEMPLANT_HELP',		1450,		'TECH_MA_STEEL',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		29),
	('BUILDING_IFERTPLANT',		'BUILDINGCLASS_IFERTPLANT',			'TXT_KEY_BUILDING_IFERTPLANT',		'TXT_KEY_BUILDING_IFERTPLANT_PEDIA',	'TXT_KEY_BUILDING_IFERTPLANT_STRATEGY',		'TXT_KEY_BUILDING_IFERTPLANT_HELP',		1450,		'TECH_MA_STEEL',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		30),
	('BUILDING_ICEMENTFAC',		'BUILDINGCLASS_ICEMENTFAC',			'TXT_KEY_BUILDING_ICEMENTFAC',		'TXT_KEY_BUILDING_ICEMENTFAC_PEDIA',	'TXT_KEY_BUILDING_ICEMENTFAC_STRATEGY',		'TXT_KEY_BUILDING_ICEMENTFAC_HELP',		1450,		'TECH_MA_STEEL',			5,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		31),
	('BUILDING_CIVWEAP_I',		'BUILDINGCLASS_CIVWEAP_I',			'TXT_KEY_BUILDING_CIVWEAP_I',		'TXT_KEY_BUILDING_CIVWEAP_I_PEDIA',		'TXT_KEY_BUILDING_CIVWEAP_I_STRATEGY',		'TXT_KEY_BUILDING_CIVWEAP_I_HELP',		1450,		'TECH_MA_ASSEMBLY',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		36),
	('BUILDING_CIVWEAP_II',		'BUILDINGCLASS_CIVWEAP_II',			'TXT_KEY_BUILDING_CIVWEAP_II',		'TXT_KEY_BUILDING_CIVWEAP_II_PEDIA',	'TXT_KEY_BUILDING_CIVWEAP_II_STRATEGY',		'TXT_KEY_BUILDING_CIVWEAP_II_HELP',		1450,		'TECH_MA_ASSEMBLY',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		37),
	('BUILDING_CIVWEAP_III',	'BUILDINGCLASS_CIVWEAP_III',		'TXT_KEY_BUILDING_CIVWEAP_III',		'TXT_KEY_BUILDING_CIVWEAP_III_PEDIA',	'TXT_KEY_BUILDING_CIVWEAP_III_STRATEGY',	'TXT_KEY_BUILDING_CIVWEAP_III_HELP',	1450,		'TECH_MA_ASSEMBLY',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		38),
	('BUILDING_EMUNITION',		'BUILDINGCLASS_EMUNITION',			'TXT_KEY_BUILDING_EMUNITION',		'TXT_KEY_BUILDING_EMUNITION_PEDIA',		'TXT_KEY_BUILDING_EMUNITION_STRATEGY',		'TXT_KEY_BUILDING_EMUNITION_HELP',		900,		'TECH_MA_STEEL',			8,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		14);

DELETE FROM Building_ResourceQuantityRequirements
WHERE BuildingType = 'BUILDING_SEAPORT'; 

DELETE FROM Building_ResourceQuantityRequirements
WHERE BuildingType = 'BUILDING_TRAINSTATION'; 

DELETE FROM Building_ResourceQuantityRequirements
WHERE BuildingType = 'BUILDING_FACTORY';

DELETE FROM Building_BuildingClassYieldChanges
WHERE BuildingType = 'BUILDING_FACTORY';

DELETE FROM Building_ResourceQuantity
WHERE BuildingType = 'BUILDING_COAL_PLANT';

DELETE FROM Building_YieldModifiers
WHERE BuildingType = 'BUILDING_TRAINSTATION';

DELETE FROM Building_ImprovementYieldChanges
WHERE BuildingType = 'BUILDING_STOCKYARD';

DELETE FROM Building_YieldChanges
WHERE BuildingType = 'BUILDING_STOCKYARD';

INSERT INTO Building_ResourceQuantity
	(BuildingType, ResourceType, Quantity)
VALUES
	('BUILDING_MSTEAM_PLANT',		'RESOURCE_ENERGY',		8),
	('BUILDING_COAL_MINES',			'RESOURCE_COAL',		3),
	('BUILDING_DCOAL_MINES',		'RESOURCE_COAL',		4),
	('BUILDING_EMUNITION',			'RESOURCE_AMMUNITION',	6),
	('BUILDING_EMUNITION',			'RESOURCE_EXPLOSIVES',	2),
	('BUILDING_CIVWEAP_I',			'RESOURCE_AMMUNITION',	2),
	('BUILDING_CIVWEAP_II',			'RESOURCE_AMMUNITION',	2),
	('BUILDING_CIVWEAP_II',			'RESOURCE_EXPLOSIVES',	2),
	('BUILDING_CIVWEAP_III',		'RESOURCE_AMMUNITION',	2),
	('BUILDING_CIVWEAP_III',		'RESOURCE_EXPLOSIVES',	2),
	('BUILDING_EPOWERST',			'RESOURCE_ENERGY',		4),
	('BUILDING_FUEL_REFINERY',		'RESOURCE_FUEL',		12);

INSERT INTO Building_ResourceQuantityRequirements
	(BuildingType,					ResourceType,			Cost)
VALUES
	('BUILDING_MUSEUM',				'RESOURCE_ENERGY',		1),
	('BUILDING_FACTORY',			'RESOURCE_ENERGY',		3),
	('BUILDING_SEAPORT',			'RESOURCE_ENERGY',		1),
	('BUILDING_TRAINSTATION',		'RESOURCE_ENERGY',		1),
	('BUILDING_HOSPITAL',			'RESOURCE_ENERGY',		2),
	('BUILDING_STOCK_EXCHANGE',		'RESOURCE_ENERGY',		2),
	('BUILDING_COAL_PLANT',			'RESOURCE_ENERGY',		5),
	('BUILDING_LABORATORY',			'RESOURCE_ENERGY',		3),
	('BUILDING_BROADCAST_TOWER',	'RESOURCE_ENERGY',		3),
	('BUILDING_WIRE_SERVICE',		'RESOURCE_ENERGY',		2),
	('BUILDING_ISTEAM_PLANT',		'RESOURCE_COAL',		3),
	('BUILDING_MEDICAL_LAB',		'RESOURCE_ENERGY',		4),
	('BUILDING_STADIUM',			'RESOURCE_ENERGY',		4),
	('BUILDING_RECYCLING_CENTER',	'RESOURCE_ENERGY',		6),
	('BUILDING_POLICE_STATION',		'RESOURCE_ENERGY',		4),
	('BUILDING_HYDRO_PLANT',		'RESOURCE_IRON',		3),
	('BUILDING_WIND_PLANT',			'RESOURCE_IRON',		3),
	('BUILDING_MSTEAM_PLANT',		'RESOURCE_COAL',		3),
	('BUILDING_THEMEPARK',			'RESOURCE_ENERGY',		2),
	('BUILDING_CINEMA',				'RESOURCE_ENERGY',		1),
	('BUILDING_WATERTREAT',			'RESOURCE_ENERGY',		2),
	('BUILDING_FIREDEPART',			'RESOURCE_ENERGY',		2),
	('BUILDING_CORFACILITY',		'RESOURCE_ENERGY',		2),
	('BUILDING_NEWSPAPER',			'RESOURCE_PAPER',		1),
	('BUILDING_ADCOMPANY',			'RESOURCE_PAPER',		2),
	('BUILDING_RADIOFAC',			'RESOURCE_ENERGY',		2),
	('BUILDING_CONSERVATORY',		'RESOURCE_ENERGY',		2),
	('BUILDING_ARTEXHIBIT',			'RESOURCE_ENERGY',		2),
	('BUILDING_ARTGALLERY',			'RESOURCE_ENERGY',		2),
	('BUILDING_EPOWERST',			'RESOURCE_COAL',		1),
	('BUILDING_DEPARTSTORE',		'RESOURCE_ENERGY',		4),
	('BUILDING_TRAINTERM',			'RESOURCE_ENERGY',		4),
	('BUILDING_EMUNITION',			'RESOURCE_ENERGY',		3),
	('BUILDING_FUEL_REFINERY',		'RESOURCE_OIL',			6),
	('BUILDING_ICHEMPLANT',			'RESOURCE_STEEL',		4),
	('BUILDING_CIVWEAP_I',			'RESOURCE_IRON',		1),
	('BUILDING_CIVWEAP_II',			'RESOURCE_IRON',		1),
	('BUILDING_CIVWEAP_III',		'RESOURCE_IRON',		1);

INSERT INTO Building_YieldChanges
	(BuildingType,				YieldType,					Yield)
VALUES
	('BUILDING_COAL_MINES',		'YIELD_GOLD',				2),
	('BUILDING_COAL_MINES',		'YIELD_FOOD',				-1),
	('BUILDING_DCOAL_MINES',	'YIELD_GOLD',				1),
	('BUILDING_DCOAL_MINES',	'YIELD_FOOD',				-2),
	('BUILDING_FACTORY',		'YIELD_FOOD',				-3),
	('BUILDING_STOCKYARD',		'YIELD_FOOD',				10),
	('BUILDING_THEMEPARK',		'YIELD_FOOD',				-3),
	('BUILDING_THEMEPARK',		'YIELD_CULTURE',			3),
	('BUILDING_THEMEPARK',		'YIELD_TOURISM',			3),
	('BUILDING_SEWERSYSTEM',	'YIELD_FOOD',				5),
	('BUILDING_SEWERSYSTEM',	'YIELD_PRODUCTION',			2),
	('BUILDING_WATERTREAT',		'YIELD_FOOD',				5),
	('BUILDING_WATERTREAT',		'YIELD_SCIENCE',			2),
	('BUILDING_FIREDEPART',		'YIELD_FOOD',				1),
	('BUILDING_FIREDEPART',		'YIELD_SCIENCE',			1),
	('BUILDING_FIREDEPART',		'YIELD_PRODUCTION',			1),
	('BUILDING_CORFACILITY',	'YIELD_FOOD',				-4),
	('BUILDING_CORFACILITY',	'YIELD_PRODUCTION',			2),
	('BUILDING_NEWSPAPER',		'YIELD_FOOD',		-		2),
	('BUILDING_NEWSPAPER',		'YIELD_PRODUCTION',			2),
	('BUILDING_NEWSPAPER',		'YIELD_GOLD',				4),
	('BUILDING_ADCOMPANY',		'YIELD_PRODUCTION',			2),
	('BUILDING_ADCOMPANY',		'YIELD_FOOD',				-6),
	('BUILDING_ADCOMPANY',		'YIELD_GOLD',				8),
	('BUILDING_RADIOFAC',		'YIELD_FOOD',				-2),
	('BUILDING_RADIOFAC',		'YIELD_PRODUCTION',			3),
	('BUILDING_CONSERVATORY',	'YIELD_FOOD',				-2),
	('BUILDING_CONSERVATORY',	'YIELD_CULTURE',			3),
	('BUILDING_CONSERVATORY',	'YIELD_SCIENCE',			1),
	('BUILDING_ARTEXHIBIT',		'YIELD_FOOD',				-2),
	('BUILDING_ARTEXHIBIT',		'YIELD_CULTURE',			4),
	('BUILDING_ARTGALLERY',		'YIELD_FOOD',				-2),
	('BUILDING_ARTGALLERY',		'YIELD_CULTURE',			4),
	('BUILDING_TRAINTERM',		'YIELD_GOLD',				3),
	('BUILDING_TRAINTERM',		'YIELD_FOOD',				3),
	('BUILDING_TRAINTERM',		'YIELD_PRODUCTION',			3),
	('BUILDING_EMUNITION',		'YIELD_FOOD',				-1),
	('BUILDING_ICHEMPLANT',		'YIELD_FOOD',				-2),
	('BUILDING_ICHEMPLANT',		'YIELD_SCIENCE',			4),
	('BUILDING_ICEMENTFAC',		'YIELD_FOOD',				-4),
	('BUILDING_ICEMENTFAC',		'YIELD_PRODUCTION',			4),
	('BUILDING_CIVWEAP_I',		'YIELD_FOOD',				-2),
	('BUILDING_CIVWEAP_I',		'YIELD_PRODUCTION',			2),
	('BUILDING_CIVWEAP_II',		'YIELD_FOOD',				-2),
	('BUILDING_CIVWEAP_II',		'YIELD_PRODUCTION',			2),
	('BUILDING_CIVWEAP_III',	'YIELD_FOOD',				-2),
	('BUILDING_CIVWEAP_III',	'YIELD_PRODUCTION',			2),
	('BUILDING_FUEL_REFINERY',	'YIELD_FOOD',				-2);

INSERT INTO Building_YieldModifiers
	(BuildingType, YieldType, Yield)
VALUES
	('BUILDING_TRAINSTATION',	'YIELD_PRODUCTION', 10),
	('BUILDING_TRAINSTATION',	'YIELD_GOLD',		10),
	('BUILDING_SOLAR_PLANT',	'YIELD_PRODUCTION', 15);

INSERT INTO Building_ImprovementYieldChanges
	(BuildingType,				ImprovementType,			YieldType,			Yield)
VALUES
	('BUILDING_STOCKYARD',		'IMPROVEMENT_FARM',			'YIELD_GOLD',		2),
	('BUILDING_STOCKYARD',		'IMPROVEMENT_PASTURE',		'YIELD_GOLD',		2),
	('BUILDING_FISHERY',		'IMPROVEMENT_FISHING_BOATS','YIELD_FOOD',		4),
	('BUILDING_FISHERY',		'IMPROVEMENT_FISHING_BOATS','YIELD_GOLD',		4),
	('BUILDING_ICHEMPLANT',		'IMPROVEMENT_FARM',			'YIELD_FOOD',		2),
	('BUILDING_IFERTPLANT',		'IMPROVEMENT_FARM',			'YIELD_FOOD',		6),
	('BUILDING_FILLINGST',		'IMPROVEMENT_WELL',			'YIELD_GOLD',		4);

INSERT INTO Building_ClassesNeededInCity 
	(BuildingType,					BuildingClassType) 
VALUES
	('BUILDING_MSTEAM_PLANT',		'BUILDINGCLASS_ISTEAM_PLANT'),
	('BUILDING_WATERTREAT',			'BUILDINGCLASS_SEWERSYSTEM'),
	('BUILDING_TRAINTERM',			'BUILDINGCLASS_TRAINSTATION'),
	('BUILDING_ICHEMPLANT',			'BUILDINGCLASS_ISTEEL_MILL'),
	('BUILDING_IFERTPLANT',			'BUILDINGCLASS_ICHEMPLANT'),
	('BUILDING_ICEMENTFAC',			'BUILDINGCLASS_ICHEMPLANT'),
	('BUILDING_CIVWEAP_I',			'BUILDINGCLASS_FACTORY'),
	('BUILDING_CIVWEAP_II',			'BUILDINGCLASS_CIVWEAP_I'),
	('BUILDING_CIVWEAP_III',		'BUILDINGCLASS_CIVWEAP_II');

INSERT INTO Building_UnitCombatFreeExperiences 
	(BuildingType, UnitCombatType, Experience) 
VALUES
	('BUILDING_RADIOFAC',		'UNITCOMBAT_ARMOR',			5),
	('BUILDING_FUEL_REFINERY',	'UNITCOMBAT_ARMOR',			5),
	('BUILDING_FUEL_REFINERY',	'UNITCOMBAT_FIGHTER',		5);

INSERT INTO Building_GreatWorkYieldChanges
	(BuildingType,				YieldType,			Yield)
VALUES
	('BUILDING_CINEMA',			'YIELD_GOLD',		1),
	('BUILDING_CINEMA',			'YIELD_CULTURE',	1),
	('BUILDING_CONSERVATORY',	'YIELD_GOLD',		1),
	('BUILDING_ARTEXHIBIT',		'YIELD_TOURISM',	1),
	('BUILDING_ARTGALLERY',		'YIELD_CULTURE',	1);

INSERT INTO Building_UnhappinessNeedsFlatReduction
	(BuildingType,				YieldType,			Yield)
VALUES
	('BUILDING_CORFACILITY',	'YIELD_GOLD',		1),
	('BUILDING_CORFACILITY',	'YIELD_PRODUCTION',	1),
	('BUILDING_NEWSPAPER',		'YIELD_CULTURE',	1),
	('BUILDING_RADIOFAC',		'YIELD_CULTURE',	1),
	('BUILDING_CONSERVATORY',	'YIELD_CULTURE',	1),
	('BUILDING_ARTGALLERY',		'YIELD_CULTURE',	1),
	('BUILDING_FISHERY',		'YIELD_GOLD',		1);

INSERT INTO Building_ResourceYieldChanges
	(BuildingType,				ResourceType,		YieldType,		Yield)
VALUES
	('BUILDING_DEPARTSTORE',	'RESOURCE_WHEAT',	'YIELD_GOLD',		2),
	('BUILDING_DEPARTSTORE',	'RESOURCE_SHEEP',	'YIELD_GOLD',		2),
	('BUILDING_DEPARTSTORE',	'RESOURCE_BANANA',	'YIELD_GOLD',		2),
	('BUILDING_DEPARTSTORE',	'RESOURCE_DEER',	'YIELD_GOLD',		2),
	('BUILDING_DEPARTSTORE',	'RESOURCE_COW',		'YIELD_GOLD',		2),
	('BUILDING_DEPARTSTORE',	'RESOURCE_BISON',	'YIELD_GOLD',		2),
	('BUILDING_DEPARTSTORE',	'RESOURCE_FISH',	'YIELD_GOLD',		2),
	('BUILDING_TRAINTERM',		'RESOURCE_COAL',	'YIELD_GOLD',		2);

INSERT INTO Building_YieldChangesPerPop
	(BuildingType,			YieldType,			Yield)
VALUES
	('BUILDING_FILLINGST', 'YIELD_GOLD',		20),
	('BUILDING_FILLINGST', 'YIELD_PRODUCTION',	20);

UPDATE Buildings
SET Happiness = '5'
WHERE Type = 'BUILDING_FIREDEPART';

UPDATE Buildings
SET Happiness = '2'
WHERE Type = 'BUILDING_CORFACILITY';

UPDATE Buildings
SET Happiness = '2'
WHERE Type = 'BUILDING_NEWSPAPER';

UPDATE Buildings
SET Happiness = '4'
WHERE Type = 'BUILDING_ADCOMPANY';

UPDATE Buildings
SET Happiness = '1'
WHERE Type = 'BUILDING_CONSERVATORY';

UPDATE Buildings
SET Happiness = '1'
WHERE Type = 'BUILDING_ARTEXHIBIT';

UPDATE Buildings
SET Happiness = '2'
WHERE Type = 'BUILDING_ARTGALLERY';

UPDATE Buildings
SET Water = 1
WHERE Type = 'BUILDING_FISHERY'; 

UPDATE Buildings
SET BuildingProductionModifier = '10'
WHERE Type = 'BUILDING_ICEMENTFAC'; 

UPDATE Buildings
SET Happiness = '3'
WHERE Type = 'BUILDING_RADIOFAC';










